import * as React from 'react';
import { AdaptableModule } from '../../AdaptableState/Common/Types';
import { AdaptableWizardStep, AdaptableWizardStepProps } from '../Wizard/Interface/IAdaptableWizard';
export interface ExpressionWizardProps extends AdaptableWizardStepProps<any> {
    onSetNewNamedQuery: (newNamedQuery: string) => void;
    callingModule?: AdaptableModule;
}
export interface ExpressionWizardState {
    expression?: string;
    saveToNamedQueries: boolean;
    newNamedQuery: string;
}
export declare class ExpressionWizard extends React.Component<ExpressionWizardProps, ExpressionWizardState> implements AdaptableWizardStep {
    constructor(props: ExpressionWizardProps);
    render(): React.JSX.Element;
    isValidExpression(): boolean;
    handleCustomExpressionChange: (expression: string) => void;
    canNext(): boolean;
    canBack(): boolean;
    next(): void;
    back(): void;
    getIndexStepIncrement(): number;
    getIndexStepDecrement(): number;
}
